aboutsummaryrefslogtreecommitdiffstats
path: root/unmaintained
diff options
context:
space:
mode:
authorEivind Uggedal <eivind@uggedal.com>2014-05-31 18:04:08 +0000
committerEivind Uggedal <eivind@uggedal.com>2014-05-31 18:04:08 +0000
commit5aa2bcb735fe37b3b6efd4a04b85960e3da4960c (patch)
treed0ec6ddb68436bf112ca6dd5d5dc77ca737edc4f /unmaintained
parent666d2402e33336d7c748032ae2456d242d03e289 (diff)
downloadaports-5aa2bcb735fe37b3b6efd4a04b85960e3da4960c.tar.gz
aports-5aa2bcb735fe37b3b6efd4a04b85960e3da4960c.tar.bz2
aports-5aa2bcb735fe37b3b6efd4a04b85960e3da4960c.tar.xz
testing/wxformbuilder: move to unmaintained
Diffstat (limited to 'unmaintained')
-rw-r--r--unmaintained/wxformbuilder/APKBUILD44
-rw-r--r--unmaintained/wxformbuilder/icon_48x48_wxformbuilder.pngbin0 -> 4650 bytes
-rw-r--r--unmaintained/wxformbuilder/libdl.patch11
3 files changed, 55 insertions, 0 deletions
diff --git a/unmaintained/wxformbuilder/APKBUILD b/unmaintained/wxformbuilder/APKBUILD
new file mode 100644
index 0000000000..cc486c477b
--- /dev/null
+++ b/unmaintained/wxformbuilder/APKBUILD
@@ -0,0 +1,44 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=wxformbuilder
+pkgver=3.1.70
+pkgrel=0
+pkgdesc="RAD tool for wxWidgets GUI design"
+url="http://sourceforge.net/apps/wordpress/wxformbuilder"
+arch="all"
+license="GPLv2"
+depends=""
+depends_dev=""
+makedepends="$depends_dev wxgtk-dev"
+install=""
+subpackages=""
+source="http://downloads.sourceforge.net/project/wxformbuilder/wxformbuilder/$pkgver/wxFormBuilder_v${pkgver}-src.tar.bz2
+ libdl.patch"
+
+_builddir="$srcdir"/wxformbuilder
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+ sed -i -e 's/\r//' create_build_files.sh \
+ install/linux/wxfb_export.sh
+}
+
+build() {
+ cd "$_builddir"
+ ./create_build_files.sh || return 1
+ make CONFIG=Release || return 1
+}
+
+package() {
+ cd "$_builddir"
+ mkdir -p "$pkgdir"/usr
+ install/linux/wxfb_export.sh "$pkgdir"/usr || return 1
+}
+
+md5sums="1c2d53a344333bd2389f9f07a5321d5e wxFormBuilder_v3.1.70-src.tar.bz2
+304bb4f7dd668fd42abc7d9ae986610a libdl.patch"
diff --git a/unmaintained/wxformbuilder/icon_48x48_wxformbuilder.png b/unmaintained/wxformbuilder/icon_48x48_wxformbuilder.png
new file mode 100644
index 0000000000..db33a0adef
--- /dev/null
+++ b/unmaintained/wxformbuilder/icon_48x48_wxformbuilder.png
Binary files differ
diff --git a/unmaintained/wxformbuilder/libdl.patch b/unmaintained/wxformbuilder/libdl.patch
new file mode 100644
index 0000000000..41aa10e383
--- /dev/null
+++ b/unmaintained/wxformbuilder/libdl.patch
@@ -0,0 +1,11 @@
+--- ./src/premake.lua.orig
++++ ./src/premake.lua
+@@ -58,7 +58,7 @@
+ package.libpaths = { "../output/lib/wxformbuilder", "../sdk/lib" }
+ end
+ -- Set the libraries it links to.
+-package.links = { "wxFlatNotebook", "wxPropGrid", "wxScintilla", "TiCPP", "plugin-interface" }
++package.links = { "wxFlatNotebook", "wxPropGrid", "wxScintilla", "TiCPP", "plugin-interface", "dl" }
+
+ -- Add libraries and build options for stack trace in MinGW
+ if ( windows and ( (string.find( target or "", ".*-gcc" )) or (target == "gnu") ) ) then